org.apache.felix.http.cometd.internal

## Class CometdServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.http.cometd.internal.CometdServiceImpl

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, CometdService, org.osgi.service.cm.ManagedService, org.osgi.util.tracker.ServiceTrackerCustomizer

    public final class CometdServiceImpl
    extends javax.servlet.http.HttpServlet
    implements org.osgi.service.cm.ManagedService, org.osgi.util.tracker.ServiceTrackerCustomizer, CometdService

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CometdServiceImpl(org.osgi.framework.BundleContext context)`

### Method Summary

Methods
`java.lang.Object` `addingService(org.osgi.framework.ServiceReference reference)`
`org.cometd.bayeux.server.BayeuxServer` `getBayeuxServer()`
`void` `modifiedService(org.osgi.framework.ServiceReference reference, java.lang.Object service)`
`void` `removedService(org.osgi.framework.ServiceReference reference, java.lang.Object service)`
`void` `start()`
`void` `stop()`
`void` `updated(java.util.Dictionary props)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CometdServiceImpl

    public CometdServiceImpl(org.osgi.framework.BundleContext context)

### Method Detail

#### start

    public void start()
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### stop

    public void stop()
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### updated

    public void updated(java.util.Dictionary props)

Specified by:
  `updated` in interface `org.osgi.service.cm.ManagedService`

#### addingService

    public java.lang.Object addingService(org.osgi.framework.ServiceReference reference)

Specified by:
  `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

#### modifiedService

    public void modifiedService(org.osgi.framework.ServiceReference reference,
                       java.lang.Object service)

Specified by:
  `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

#### removedService

    public void removedService(org.osgi.framework.ServiceReference reference,
                      java.lang.Object service)

Specified by:
  `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`

#### getBayeuxServer

    public org.cometd.bayeux.server.BayeuxServer getBayeuxServer()

Specified by:
  `getBayeuxServer` in interface `CometdService`